# DataExchange
TKSTEPBase
StepShape

# StepShape_Array1OfValueQualifier Class Reference

`#include <StepShape_Array1OfValueQualifier.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_Array1OfValueQualifier (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_Array1OfValueQualifier (const StepShape_ValueQualifier &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepShape_ValueQualifier &V)
Standard_EXPORT void | Destroy ()
| ~StepShape_Array1OfValueQualifier ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepShape_Array1OfValueQualifier & | Assign (const StepShape_Array1OfValueQualifier &Other)
const StepShape_Array1OfValueQualifier & | operator= (const StepShape_Array1OfValueQualifier &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepShape_ValueQualifier &Value)
const StepShape_ValueQualifier & | Value (const Standard_Integer Index) const
const StepShape_ValueQualifier & | operator() (const Standard_Integer Index) const
StepShape_ValueQualifier & | ChangeValue (const Standard_Integer Index)
StepShape_ValueQualifier & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepShape_Array1OfValueQualifier (const StepShape_Array1OfValueQualifier &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Array1OfValueQualifier::StepShape_Array1OfValueQualifier | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_Array1OfValueQualifier::StepShape_Array1OfValueQualifier | ( | const StepShape_ValueQualifier & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepShape_Array1OfValueQualifier::~StepShape_Array1OfValueQualifier | ( |  | ) | `[inline]`

Standard_EXPORT StepShape_Array1OfValueQualifier::StepShape_Array1OfValueQualifier | ( | const StepShape_Array1OfValueQualifier & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepShape_Array1OfValueQualifier& StepShape_Array1OfValueQualifier::Assign | ( | const StepShape_Array1OfValueQualifier & | Other | ) |

StepShape_ValueQualifier& StepShape_Array1OfValueQualifier::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepShape_Array1OfValueQualifier::Destroy | ( |  | ) |

Standard_EXPORT void StepShape_Array1OfValueQualifier::Init | ( | const StepShape_ValueQualifier & | V | ) |

Standard_Boolean StepShape_Array1OfValueQualifier::IsAllocated | ( |  | ) | const

Standard_Integer StepShape_Array1OfValueQualifier::Length | ( |  | ) | const

Standard_Integer StepShape_Array1OfValueQualifier::Lower | ( |  | ) | const

void StepShape_Array1OfValueQualifier::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepShape_Array1OfValueQualifier::operator new | ( | size_t | size | ) | `[inline]`

void* StepShape_Array1OfValueQualifier::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepShape_ValueQualifier& StepShape_Array1OfValueQualifier::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepShape_ValueQualifier& StepShape_Array1OfValueQualifier::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepShape_Array1OfValueQualifier& StepShape_Array1OfValueQualifier::operator= | ( | const StepShape_Array1OfValueQualifier & | Other | ) | `[inline]`

void StepShape_Array1OfValueQualifier::SetValue | ( | const Standard_Integer | Index,
|  | const StepShape_ValueQualifier & | Value
| ) |

Standard_Integer StepShape_Array1OfValueQualifier::Upper | ( |  | ) | const

const StepShape_ValueQualifier& StepShape_Array1OfValueQualifier::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepShape_Array1OfValueQualifier::isAllocated `[private]`

Standard_Integer StepShape_Array1OfValueQualifier::myLowerBound `[private]`

Standard_Address StepShape_Array1OfValueQualifier::myStart `[private]`

Standard_Integer StepShape_Array1OfValueQualifier::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepShape_Array1OfValueQualifier.hxx